<template>
  <view class="official_account" v-if="show">
    <official-account> </official-account>
  </view>
</template>
<script lang="ts" setup>
import { onShow } from '@dcloudio/uni-app'
import { ref } from 'vue'
const show = ref(true)
onShow(() => {
  let res = uni.getLaunchOptionsSync()
  if (
    res?.scene === 1011 ||
    res?.scene === 1025 ||
    res?.scene === 1017 ||
    res?.scene === 1047 ||
    res?.scene === 1124
  ) {
    setTimeout(() => {
      show.value = false
    }, 10000)
  }
  console.log('res', res)
})
</script>
<style lang="scss" scoped>
.official_account {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
}
</style>
